summaryrefslogtreecommitdiff
path: root/Toolchain
diff options
context:
space:
mode:
authorChristopher Wales <chriswales95@outlook.com>2022-11-04 23:25:26 +0000
committerAndrew Kaster <andrewdkaster@gmail.com>2022-11-05 14:23:21 -0600
commit266882937d8879c92bf3b386a3cd1d23c5d235bb (patch)
tree7519394440d91b158c511b36a98ba7f6e8d8d027 /Toolchain
parent5839ef2ed82cbcfbc0e472f8a9d666a324c088b4 (diff)
downloadserenity-266882937d8879c92bf3b386a3cd1d23c5d235bb.zip
Toolchain: Disable makeinfo for binutils
This is necessary to build on MacOS. As discussed in #15530, Serenity no longer appears to build on MacOS Ventura. This attempts to fix that by enforcing it at the command level.
Diffstat (limited to 'Toolchain')
-rwxr-xr-xToolchain/BuildIt.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/Toolchain/BuildIt.sh b/Toolchain/BuildIt.sh
index 1ca6bbc747..42eaa5a959 100755
--- a/Toolchain/BuildIt.sh
+++ b/Toolchain/BuildIt.sh
@@ -376,8 +376,8 @@ pushd "$DIR/Build/$ARCH"
popd
fi
echo "XXX build binutils"
- buildstep "binutils/build" "$MAKE" -j "$MAKEJOBS" || exit 1
- buildstep "binutils/install" "$MAKE" install || exit 1
+ buildstep "binutils/build" "$MAKE" MAKEINFO=true -j "$MAKEJOBS" || exit 1
+ buildstep "binutils/install" "$MAKE" MAKEINFO=true install || exit 1
popd
echo "XXX serenity libc headers"